/////////////////////////////////////////////////////////////////////////////
//
//	Project		:	Active Commentary v1.0 (Visual C++ Dev Studio AddIn)
//	File		:	DSAddIn.h
//	Description	:	Implementation of functions which called on loads and 
//					unloads addin (CDSAddIn class)
//
//	Created and modified by Andrey Levin
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DSADDIN_H__75E9F7EA_86F0_11D4_A165_0050DA5F60A9__INCLUDED_)
#define AFX_DSADDIN_H__75E9F7EA_86F0_11D4_A165_0050DA5F60A9__INCLUDED_

#include "commands.h"

// {75E9F7D7-86F0-11D4-A165-0050DA5F60A9}
DEFINE_GUID(CLSID_DSAddIn,
0x75e9f7d7, 0x86f0, 0x11d4, 0xa1, 0x65, 0, 0x50, 0xda, 0x5f, 0x60, 0xa9);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn : 
	public IDSAddIn,
	public CComObjectRoot,
	public CComCoClass<CDSAddIn, &CLSID_DSAddIn>
{
public:
	DECLARE_REGISTRY(CDSAddIn, "ActiveComments.DSAddIn.1",
		"ACTIVECOMMENTS Developer Studio Add-in", IDS_ACTIVECOMMENTS_LONGNAME,
		THREADFLAGS_BOTH)

	CDSAddIn() {}
	BEGIN_COM_MAP(CDSAddIn)
		COM_INTERFACE_ENTRY(IDSAddIn)
	END_COM_MAP()
	DECLARE_NOT_AGGREGATABLE(CDSAddIn)

// IDSAddIns
public:
	STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
		long dwCookie, VARIANT_BOOL* OnConnection);
	STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime);

protected:
	CCommandsObj* m_pCommands;
	DWORD m_dwCookie;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSADDIN_H__75E9F7EA_86F0_11D4_A165_0050DA5F60A9__INCLUDED)
